Subject: [quicwg/load-balancers] 7578c3: Update draft-ietf-quic-load-balancers.md

From: martinduke <[email-masked]>
Date: Mon, 06 Jul 2020 12:17:35 -0700

Branch: refs/heads/master
  Home:   https://github.com/quicwg/load-balancers
  Commit: 7578c37d95914a5275c075d4f6f56e9d0918fc34
      https://github.com/quicwg/load-balancers/commit/7578c37d95914a5275c075d4f6f56e9d0918fc34
  Author: martinduke <[email-masked]>
  Date:   2020-06-16 (Tue, 16 Jun 2020)

  Changed paths:
    M draft-ietf-quic-load-balancers.md

  Log Message:
  -----------
  Update draft-ietf-quic-load-balancers.md

Added two sections to Security Considerations (Stateless Reset Oracle and Local Configurations Only). Fixes #9 and #27.

  Commit: de42903daf2d86fc8f7088ef04c82f90ce86d820
      https://github.com/quicwg/load-balancers/commit/de42903daf2d86fc8f7088ef04c82f90ce86d820
  Author: martinduke <[email-masked]>
  Date:   2020-06-17 (Wed, 17 Jun 2020)

  Changed paths:
    M draft-ietf-quic-load-balancers.md

  Log Message:
  -----------
  Rewrote configuration scope to be clearer

  Commit: e5303161780fe67427f0074aa2ff756a95a6139e
      https://github.com/quicwg/load-balancers/commit/e5303161780fe67427f0074aa2ff756a95a6139e
  Author: martinduke <[email-masked]>
  Date:   2020-06-30 (Tue, 30 Jun 2020)

  Changed paths:
    M draft-ietf-quic-load-balancers.md

  Log Message:
  -----------
  Addressed MT's latest comment

  Commit: 50c97311114cd71773933c9db4e29c1349edb3b5
      https://github.com/quicwg/load-balancers/commit/50c97311114cd71773933c9db4e29c1349edb3b5
  Author: Martin Duke <[email-masked]>
  Date:   2020-07-01 (Wed, 01 Jul 2020)

  Changed paths:
    M draft-ietf-quic-load-balancers.md

  Log Message:
  -----------
  Reworded for MT

We are deep into the editorial, but I think this is clearer

  Commit: 656102bd27b6d0e5ffb80d682ee075ca483597bd
      https://github.com/quicwg/load-balancers/commit/656102bd27b6d0e5ffb80d682ee075ca483597bd
  Author: Martin Duke <[email-masked]>
  Date:   2020-07-02 (Thu, 02 Jul 2020)

  Changed paths:
    M draft-ietf-quic-load-balancers.md

  Log Message:
  -----------
  Reworded for MT

I do think this text is better.

If this isn't the direction @martinthomson wanted to go, I may need a PR to understand where he's coming from.

  Commit: 8c2b5b66eb5cd94e1d1b29fad74932e6fafa355c
      https://github.com/quicwg/load-balancers/commit/8c2b5b66eb5cd94e1d1b29fad74932e6fafa355c
  Author: martinduke <[email-masked]>
  Date:   2020-07-06 (Mon, 06 Jul 2020)

  Changed paths:
    M draft-ietf-quic-load-balancers.md

  Log Message:
  -----------
  Added text about privacy leakage

Mentions @huitema's point about the privacy leakage of separating configurations here. I'm going to land this PR to close the relevant issues, though some of this text may need a revisit based on the outcome of other discussions.

  Commit: 60dc0918a7fd69517a1ba90fe5a73ad91ebfcdbf
      https://github.com/quicwg/load-balancers/commit/60dc0918a7fd69517a1ba90fe5a73ad91ebfcdbf
  Author: martinduke <[email-masked]>
  Date:   2020-07-06 (Mon, 06 Jul 2020)

  Changed paths:
    M draft-ietf-quic-load-balancers.md

  Log Message:
  -----------
  slight rewording

  Commit: d8055db4a9a50a5b39ee0146adabed5441376ee6
      https://github.com/quicwg/load-balancers/commit/d8055db4a9a50a5b39ee0146adabed5441376ee6
  Author: martinduke <[email-masked]>
  Date:   2020-07-06 (Mon, 06 Jul 2020)

  Changed paths:
    M draft-ietf-quic-load-balancers.md

  Log Message:
  -----------
  Merge pull request #29 from quicwg/more-security

New Security Considerations

Compare: https://github.com/quicwg/load-balancers/compare/267ac4ad19c5...d8055db4a9a5